igraph_demo {igraph} | R Documentation

## Run igraph demos, step by step

### Description

Run one of the accompanying igraph demos, somewhat interactively, using a Tk window.

### Usage

    igraph_demo(which)

### Arguments

`which` | If not given, then the names of the available demos are listed. Otherwise it should be either a filename or the name of an igraph demo.

### Details

This function provides a somewhat nicer interface to igraph demos that come with the package, than the standard `demo` function. Igraph demos are divided into chunks and `igraph_demo` runs them chunk by chunk, with the possibility of inspecting the workspace between two chunks.

The `tcltk` package is needed for `igraph_demo`.

### Value

Returns `NULL`, invisibly.

### Author(s)

Gabor Csardi csardi.gabor@gmail.com

### See Also

`demo`

### Examples

    igraph_demo()
    if (interactive()) {
      igraph_demo("centrality")
    }

[Package igraph version 1.1.2 Index]